#!/bin/bash

tag=0.5.0

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone https://github.com/ctalkington/node-zip-stream.git
cd node-zip-stream
git archive --format=tar tags/${tag} test/ \
    | bzip2 > "$pwd"/nodejs-zip-stream-tests-${tag}.tar.bz2
popd
